deviceManagementIntentSettingCategory の更新
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
deviceManagementIntentSettingCategory オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校アカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/intents/{deviceManagementIntentId}/categories/{deviceManagementIntentSettingCategoryId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で 、deviceManagementIntentSettingCategory オブジェクトの JSON 表記を指定します。
次の表に 、deviceManagementIntentSettingCategoryを作成するときに必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | 文字列 | deviceManagementSettingCategoryから継承されたカテゴリ ID |
| displayName | 文字列 | カテゴリ名deviceManagementSettingCategoryから継承 |
| hasRequiredSetting | Boolean | カテゴリには、deviceManagementSettingCategoryから継承されたトップ レベルの必須設定が含まれる |
応答
成功した場合、このメソッドは応答コードと、応答本文で 200 OK 更新された deviceManagementIntentSettingCategory オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/beta/deviceManagement/intents/{deviceManagementIntentId}/categories/{deviceManagementIntentSettingCategoryId}
Content-type: application/json
Content-length: 150
{
"@odata.type": "#microsoft.graph.deviceManagementIntentSettingCategory",
"displayName": "Display Name value",
"hasRequiredSetting": true
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 199
{
"@odata.type": "#microsoft.graph.deviceManagementIntentSettingCategory",
"id": "39bf2a82-2a82-39bf-822a-bf39822abf39",
"displayName": "Display Name value",
"hasRequiredSetting": true
}
フィードバック
フィードバックの送信と表示